%define _name quick-lounge
%define ver_major 2.12

Name: gnome-applets-extra-%_name
Version: %ver_major.1
Release: alt2

Summary: Organize your preferred applications on the GNOME Panel
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name-applet/%ver_major/%_name-applet-%version.tar.bz2

%define glib_ver 2.2.0
%define gtk_ver 2.2.0
%define libgnome_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define gnome_desktop_ver 2.4.0
%define gnome_vfs_ver 2.4.0
%define glade_ver 2.4.0
%define panel_ver 2.4.0
%define gnome_menus_ver 2.12.0

Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-desktop >= %gnome_desktop_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: gnome-panel >= %panel_ver
Requires: libgnome-menus >= %gnome_menus_ver

BuildPreReq: gnome-common

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: libgnome-menus-devel >= %gnome_menus_ver

BuildRequires: GConf2 gcc-c++ libSM-devel libpopt-devel perl-XML-Parser scrollkeeper

%description
Organize your preferred applications on the GNOME Panel.

%prep
%setup -q -n %_name-applet-%version

%build
%configure \
	--disable-schemas-install \
    --disable-scrollkeeper \
	--disable-static

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --output=%_name.lang --with-gnome %_name %_name-applet

%post
%gconf2_install %_name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_scrollkeeper

%files -f %_name.lang
%_libexecdir/%_name-applet
%_libdir/bonobo/servers/*
%_datadir/gnome-2.0/ui/*
%_datadir/%_name
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%exclude %_localstatedir/scrollkeeper

%changelog
* Wed May 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- fixed dependencies for X.org 7.0
- spec cleanup

* Thu Nov 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- new version

* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Wed Feb 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.1-alt1
- 2.9.1

* Wed Oct 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sun Sep 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Wed Mar 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Dec 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- russian translation.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- First build for Sisyphus.

